org.eclipse.oomph.predicates.util

## Class PredicatesSwitch<T>

- java.lang.Object
- - org.eclipse.emf.ecore.util.Switch<T>
  - - org.eclipse.oomph.predicates.util.PredicatesSwitch<T>

-     public class PredicatesSwitch<T>
      extends Switch<T>

  The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.
  See Also:
    `PredicatesPackage`
  Generated

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static PredicatesPackage` | `modelPackage` The cached model package

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PredicatesSwitch()` Creates an instance of the switch.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `caseAndPredicate(AndPredicate object)` Returns the result of interpreting the object as an instance of 'And Predicate'.
    `T` | `caseBuilderPredicate(BuilderPredicate object)` Returns the result of interpreting the object as an instance of 'Builder Predicate'.
    `T` | `caseCommentPredicate(CommentPredicate object)` Returns the result of interpreting the object as an instance of 'Comment Predicate'.
    `T` | `caseFilePredicate(FilePredicate object)` Returns the result of interpreting the object as an instance of 'File Predicate'.
    `T` | `caseLocationPredicate(LocationPredicate object)` Returns the result of interpreting the object as an instance of 'Location Predicate'.
    `T` | `caseModelElement(ModelElement object)` Returns the result of interpreting the object as an instance of 'Model Element'.
    `T` | `caseNamePredicate(NamePredicate object)` Returns the result of interpreting the object as an instance of 'Name Predicate'.
    `T` | `caseNaturePredicate(NaturePredicate object)` Returns the result of interpreting the object as an instance of 'Nature Predicate'.
    `T` | `caseNotPredicate(NotPredicate object)` Returns the result of interpreting the object as an instance of 'Not Predicate'.
    `T` | `caseOrPredicate(OrPredicate object)` Returns the result of interpreting the object as an instance of 'Or Predicate'.
    `T` | `casePredicate(Predicate object)` Returns the result of interpreting the object as an instance of 'Predicate'.
    `T` | `caseRepositoryPredicate(RepositoryPredicate object)` Returns the result of interpreting the object as an instance of 'Repository Predicate'.
    `T` | `defaultCase(EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
    `protected T` | `doSwitch(int classifierID, EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
    `protected boolean` | `isSwitchFor(EPackage ePackage)` Checks whether this is a switch for the given package.

    - ### Methods inherited from class org.eclipse.emf.ecore.util.Switch

      `doSwitch, doSwitch`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static PredicatesPackage modelPackage

      The cached model package
      Generated

  - ### Constructor Detail

    - #### PredicatesSwitch

          public PredicatesSwitch()

      Creates an instance of the switch.
      Generated

  - ### Method Detail

    - #### isSwitchFor

          protected boolean isSwitchFor(EPackage ePackage)

      Checks whether this is a switch for the given package.
      Specified by:
        `isSwitchFor` in class `Switch<T>`
      Returns:
        whether this is a switch for the given package.
      Generated

    - #### doSwitch

          protected T doSwitch(int classifierID,
                   EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Overrides:
        `doSwitch` in class `Switch<T>`
      Returns:
        the first non-null result returned by a `caseXXX` call.
      Generated

    - #### casePredicate

          public T casePredicate(Predicate object)

      Returns the result of interpreting the object as an instance of 'Predicate'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Predicate'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseNamePredicate

          public T caseNamePredicate(NamePredicate object)

      Returns the result of interpreting the object as an instance of 'Name Predicate'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Name Predicate'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseCommentPredicate

          public T caseCommentPredicate(CommentPredicate object)

      Returns the result of interpreting the object as an instance of 'Comment Predicate'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Comment Predicate'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseLocationPredicate

          public T caseLocationPredicate(LocationPredicate object)

      Returns the result of interpreting the object as an instance of 'Location Predicate'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Location Predicate'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseRepositoryPredicate

          public T caseRepositoryPredicate(RepositoryPredicate object)

      Returns the result of interpreting the object as an instance of 'Repository Predicate'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Repository Predicate'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseAndPredicate

          public T caseAndPredicate(AndPredicate object)

      Returns the result of interpreting the object as an instance of 'And Predicate'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'And Predicate'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseOrPredicate

          public T caseOrPredicate(OrPredicate object)

      Returns the result of interpreting the object as an instance of 'Or Predicate'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Or Predicate'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseNotPredicate

          public T caseNotPredicate(NotPredicate object)

      Returns the result of interpreting the object as an instance of 'Not Predicate'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Not Predicate'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseNaturePredicate

          public T caseNaturePredicate(NaturePredicate object)

      Returns the result of interpreting the object as an instance of 'Nature Predicate'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Nature Predicate'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseBuilderPredicate

          public T caseBuilderPredicate(BuilderPredicate object)

      Returns the result of interpreting the object as an instance of 'Builder Predicate'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Builder Predicate'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseFilePredicate

          public T caseFilePredicate(FilePredicate object)

      Returns the result of interpreting the object as an instance of 'File Predicate'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'File Predicate'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseModelElement

          public T caseModelElement(ModelElement object)

      Returns the result of interpreting the object as an instance of 'Model Element'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Model Element'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### defaultCase

          public T defaultCase(EObject object)

      Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.
      Overrides:
        `defaultCase` in class `Switch<T>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'EObject'.
      See Also:
        `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html